polybori::groebner::CheckChainCriterion< StrategyType > Class Template Reference

This class defines CheckChainCriterion. More...

`#include <CheckChainCriterion.h>`

## Public Types

typedef StrategyType | strategy_type

## Public Member Functions

| CheckChainCriterion (strategy_type &strategy, PairStatusSet &status)
bool | operator() (const Pair &current)
| Clean up `current` and return whether it has a T-representation. More...

## Protected Member Functions

bool | compute (const IJPairData &ij, const Exponent &exp)
bool | compute (const VariablePairData &vp)
bool | checkPairCriteria (const Exponent &exp, int i, int j)

## Detailed Description

### template<class StrategyType>
class polybori::groebner::CheckChainCriterion< StrategyType >

This class defines CheckChainCriterion.

## Member Typedef Documentation

template<class StrategyType>

typedef StrategyType polybori::groebner::CheckChainCriterion< StrategyType >::strategy_type

## Constructor & Destructor Documentation

template<class StrategyType>

polybori::groebner::CheckChainCriterion< StrategyType >::CheckChainCriterion | ( | strategy_type & | strategy,
|  | PairStatusSet & | status
| ) |  |

inline

## Member Function Documentation

template<class StrategyType>

bool polybori::groebner::CheckChainCriterion< StrategyType >::checkPairCriteria | ( | const Exponent & | exp,
|  | int | i,
|  | int | j
| ) |  |

inline protected

template<class StrategyType>

bool polybori::groebner::CheckChainCriterion< StrategyType >::compute | ( | const IJPairData & | ij,
|  | const Exponent & | exp
| ) |  |

inline protected

References polybori::groebner::IJPairData::i, and polybori::groebner::IJPairData::j.

template<class StrategyType>

bool polybori::groebner::CheckChainCriterion< StrategyType >::compute | ( | const VariablePairData & | vp | ) |

inline protected

References polybori::groebner::VariablePairData::i, and polybori::groebner::VariablePairData::v.

template<class StrategyType>

bool polybori::groebner::CheckChainCriterion< StrategyType >::operator() | ( | const Pair & | current | ) |

inline

Clean up `current` and return whether it has a T-representation.

References polybori::groebner::PairE::getType(), polybori::groebner::IJ_PAIR, polybori::groebner::PairE::ijPair(), polybori::groebner::PairE::lm, polybori::groebner::VARIABLE_PAIR, and polybori::groebner::PairE::variablePair().

The documentation for this class was generated from the following file:

- CheckChainCriterion.h